## musescore3 3.2.3+dfsg2

=== Makefile ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#
#  Copyright (C) 2002-2012 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

REVISION  := `cat mscore/revision.h`
CPUS      := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || getconf NPROCESSORS_ONLN 2>/dev/null || echo 1)

PREFIX    = "/usr/local"
#VERSION   = "3.2b-${REVISION}"
VERSION = 3.2.3
BUILD_NUMBER=""

# Override SUFFIX and LABEL when multiple versions are installed to avoid conflicts.
SUFFIX=""# E.g.: SUFFIX="dev" --> "mscore" becomes "mscoredev"
LABEL=""# E.g.: LABEL="Development Build" --> "MuseScore 2" becomes "MuseScore 2 Development Build"

BUILD_LAME="ON" # Non-free, required for MP3 support. Override with "OFF" to disable.
BUILD_PULSEAUDIO="ON" # Override with "OFF" to disable.
BUILD_JACK="ON"       # Override with "OFF" to disable.
BUILD_PORTAUDIO="ON"  # Override with "OFF" to disable.
BUILD_WEBENGINE="ON"  # Override with "OFF" to disable.
USE_SYSTEM_FREETYPE="OFF" # Override with "ON" to enable. Requires freetype >= 2.5.2.
COVERAGE="OFF"        # Override with "ON" to enable.
DOWNLOAD_SOUNDFONT="ON"   # Override with "OFF" to disable latest soundfont download.

UPDATE_CACHE="TRUE"# Override if building a DEB or RPM, or when installing to a non-standard location.
NO_RPATH="FALSE"# Package maintainers may want to override this (e.g. Debian)

#
# change path to include your Qt5 installation
#
BINPATH      = ${PATH}

release:
	if test ! -d build.release; then mkdir build.release; fi; \
      cd build.release;                          \
      export PATH=${BINPATH};                    \
      cmake -DCMAKE_BUILD_TYPE=RELEASE	       \
  	  -DCMAKE_TOOLCHAIN_FILE="${CMAKE_TOOLCHAIN_FILE}"       \
  	  -DCMAKE_INSTALL_PREFIX="${PREFIX}"       \
  	  -DMSCORE_INSTALL_SUFFIX="${SUFFIX}"      \
  	  -DMUSESCORE_LABEL="${LABEL}"             \
  	  -DCMAKE_BUILD_NUMBER="${BUILD_NUMBER}"   \
  	  -DBUILD_LAME="${BUILD_LAME}"             \
  	  -DBUILD_PULSEAUDIO="${BUILD_PULSEAUDIO}" \
  	  -DBUILD_JACK="${BUILD_JACK}"             \
   	  -DBUILD_PORTAUDIO="${BUILD_PORTAUDIO}"   \
   	  -DBUILD_WEBENGINE="${BUILD_WEBENGINE}"   \
   	  -DUSE_SYSTEM_FREETYPE="${USE_SYSTEM_FREETYPE}" \
   	  -DDOWNLOAD_SOUNDFONT="${DOWNLOAD_SOUNDFONT}"   \
  	  -DCMAKE_SKIP_RPATH="${NO_RPATH}"     ..; \
      make lrelease;                             \
      make -j ${CPUS};                           \


#freetype:
#	cd build.debug; \
#      mkdir freetype; \
#      cd freetype; \
#      cmake ../../thirdparty/freetype; \
#      make -j ${CPUS}

debug:
	if test ! -d build.debug; then mkdir build.debug; fi; \
      cd build.debug;                                       \
      export PATH=${BINPATH};                               \
      cmake -DCMAKE_BUILD_TYPE=DEBUG	                    \
  	  -DCMAKE_INSTALL_PREFIX="${PREFIX}"                  \
  	  -DMSCORE_INSTALL_SUFFIX="${SUFFIX}"                 \
  	  -DMUSESCORE_LABEL="${LABEL}"                        \
  	  -DCMAKE_BUILD_NUMBER="${BUILD_NUMBER}"              \
  	  -DBUILD_LAME="${BUILD_LAME}"                        \
  	  -DBUILD_PULSEAUDIO="${BUILD_PULSEAUDIO}"            \
  	  -DBUILD_JACK="${BUILD_JACK}"                        \
   	  -DBUILD_PORTAUDIO="${BUILD_PORTAUDIO}"              \
   	  -DBUILD_WEBENGINE="${BUILD_WEBENGINE}"              \
   	  -DUSE_SYSTEM_FREETYPE="${USE_SYSTEM_FREETYPE}"      \
      -DCOVERAGE="${COVERAGE}"                 \
   	  -DDOWNLOAD_SOUNDFONT="${DOWNLOAD_SOUNDFONT}"        \
  	  -DCMAKE_SKIP_RPATH="${NO_RPATH}"     ..;            \
      make lrelease;                                        \
      make -j ${CPUS};                                      \

#
#  win32
#     cross compile windows package
#     NOTE: there are some hardcoded path in CMake - files
#           will probably only work on my setup (ws)
#
win32:
	if test ! -d win32build;                         \
         then                                          \
            mkdir win32build;                          \
      	if test ! -d win32install;                 \
               then                                    \
                  mkdir win32install;                  \
            fi;                                        \
            cd win32build;                             \
            cmake -DCMAKE_TOOLCHAIN_FILE=../build/mingw32.cmake -DCMAKE_INSTALL_PREFIX=../win32install -DCMAKE_BUILD_TYPE=DEBUG  ..; \
            make lrelease;                             \
            make -j ${CPUS};                           \
            make install;                              \
            make package;                              \
         else                                          \
            echo "build directory win32build does alread exist, please remove first"; \
         fi

#
# clean out of source build
#

clean:
	-rm -rf build.debug build.release
	-rm -rf win32build win32install

revision:
	@git rev-parse --short=7 HEAD > mscore/revision.h

version:
	@echo ${VERSION}

install: release
	cd build.release \
	&& make install/strip \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	fi

# Portable target: build AppDir ready to be turned into a portable AppImage.
# Creating the AppImage requires https://github.com/probonopd/AppImageKit
# Portable target requires both build and runtime dependencies,
# if Qt is in a non-standard location then be sure to add its
# "bin" folder to PATH and "lib" folder to LD_LIBRARY_PATH. i.e.:
#   $  export $PATH="/path/to/Qt/bin:${PATH}"
#   $  export $LD_LIBRARY_PATH="/path/to/Qt/lib:${LD_LIBRARY_PATH}"
#   $  make portable
# PREFIX sets install location *and* the name of the resulting AppDir.
# Version is appended to PREFIX in CMakeLists.txt if MSCORE_UNSTABLE=FALSE.
portable: PREFIX=MuseScore
portable: SUFFIX=-portable
portable: LABEL=Portable AppImage
portable: NO_RPATH=TRUE
portable: UPDATE_CACHE=FALSE
portable: install
	build_dir="$$(pwd)/build.release" && cd "$$(cat $${build_dir}/PREFIX.txt)" \
	&& [ -L usr ] || ln -s . usr && mscore="mscore${SUFFIX}" \
	&& dsktp="$${mscore}.desktop" icon="$${mscore}.svg" mani="install_manifest.txt" \
	&& cp "share/applications/$${dsktp}" "$${dsktp}" \
	&& cp "share/icons/hicolor/scalable/apps/$${icon}" "$${icon}" \
	&& <"$${build_dir}/$${mani}" >"$${mani}" \
	   sed -rn 's/.*(share\/)(man|mime|icons|applications)(.*)/\1\2\3/p' \
	&& "$${build_dir}/../build/Linux+BSD/portable/copy-libs" . \
	;  ./AppRun check-depends | tee "$${build_dir}/dependencies.txt"

installdebug: debug
	cd build.debug \
	&& make install \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	fi

uninstall:
	cd build.release \
	&& xargs rm < install_manifest.txt \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	   fi \
	&& xargs ../build/rm-empty-dirs < install_manifest.txt \
	&& rm install_manifest.txt

uninstalldebug:
	cd build.debug \
	&& xargs rm < install_manifest.txt \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	   fi \
	&& xargs ../build/rm-empty-dirs < install_manifest.txt \
	&& rm install_manifest.txt

#
#  linux
#     linux binary package build
#
unix:
	if test ! -d linux;                          \
         then                                      \
            mkdir linux;                           \
            cd linux; \
            cmake -DCMAKE_BUILD_TYPE=RELEASE  ../mscore; \
            make -j${CPUS} -f Makefile;            \
            make package;                          \
         else                                      \
            echo "build directory linux does alread exist, please remove first";  \
         fi

zip:
	zip -q -r MuseScore-${VERSION}.zip * -x .git\* -x vtest/html\*

=== audiofile/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2013 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)

if (NOT MSVC)
   set(_all_h_file "${PROJECT_BINARY_DIR}/all.h")
else (NOT MSVC)
   set(_all_h_file "${PROJECT_SOURCE_DIR}/all.h")
endif (NOT MSVC)

add_library (audiofile STATIC
      ${_all_h_file}
      ${PCH}
      audiofile.cpp
      )

if (NOT MSVC)
   set_target_properties (
      audiofile
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties (
      audiofile
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE}"
      )
endif (NOT MSVC)   

xcode_pch(audiofile all)

# Use MSVC pre-compiled headers
vstudio_pch( audiofile )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(audiofile mops1)
   ADD_DEPENDENCIES(audiofile mops2)
endif (NOT MSVC)

=== awl/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#
#  Copyright (C) 2002-2016 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (NOT MSVC)
   set(_all_h_file "${PROJECT_BINARY_DIR}/all.h")
else (NOT MSVC)
   set(_all_h_file "${PROJECT_SOURCE_DIR}/all.h")
endif (NOT MSVC)

add_library (
      awl STATIC
      aslider.cpp
      knob.cpp
      panknob.cpp
      volknob.cpp
      midipanknob.cpp
      colorlabel.cpp
      slider.cpp
      styledslider.cpp
      volslider.cpp
      mslider.cpp
      pitchedit.cpp
      pitchlabel.cpp
      poslabel.cpp
      utils.cpp
      denomspinbox.cpp
      aslider.h colorlabel.h denomspinbox.h fastlog.h
      knob.h midipanknob.h mslider.h panknob.h pitchedit.h pitchlabel.h
      poslabel.h slider.h styledslider.h
      utils.h volknob.h volslider.h
      )
if (NOT MSVC)
   set_target_properties (
      awl
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties (
      awl
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE}"
      )
endif (NOT MSVC)   

xcode_pch(awl all)

# Use MSVC pre-compiled headers
vstudio_pch( awl )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(awl mops1 mops2)
endif (NOT MSVC)

add_library (
      awlplugin SHARED
      ${_all_h_file}
      awlplugin.cpp
      aslider.cpp
      knob.cpp
      panknob.cpp
      volknob.cpp
      midipanknob.cpp
      colorlabel.cpp
      slider.cpp
      styledslider.cpp
      volslider.cpp
      mslider.cpp
      denomspinbox.cpp
      pitchedit.cpp
      pitchlabel.cpp
      utils.cpp
      )

##  "-D_GNU_SOURCE -D_REENTRANT -DHAVE_CONFIG_H -DQT_PLUGIN -DQT_SHARED -DQT_NO_DEBUG -include ${PROJECT_SOURCE_DIR}/all.h"

#
# We cannot use our precompiled headers because of -fPIC
#
if (NOT MSVC)
   set_target_properties(awlplugin
      PROPERTIES
      COMPILE_FLAGS
         "-fPIC -D_GNU_SOURCE -D_REENTRANT -DHAVE_CONFIG_H -DQT_PLUGIN -DQT_SHARED -DQT_NO_DEBUG -include ${PROJECT_SOURCE_DIR}/all.h"
      )
else (NOT MSVC)
   # x86 archictecture does not support position-independent code, the -fPIC option is not relevant for this processor.
   set_target_properties (
      awlplugin
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -D_GNU_SOURCE -D_REENTRANT -DHAVE_CONFIG_H -DQT_PLUGIN -DQT_SHARED -DQT_NO_DEBUG"
      )
endif (NOT MSVC)   

# Don't install awlplugin on default
#install( TARGETS awlplugin DESTINATION ${designerPlugins}/plugins/designer/ )

#add_executable(ltest ltest.cpp)
#target_link_libraries (ltest awlplugin msynth al ${QT_LIBRARIES})

set_target_properties(awlplugin PROPERTIES EXCLUDE_FROM_ALL 1)

=== bww2mxml/CMakeLists.txt ===
#=============================================================================
#  BWW to MusicXML converter
#  Part of MusE Score
#  Linux Music Score Editor
#
#  Copyright (C) 2002-2010 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)

add_library(bww STATIC
   ${INCS}
   lexer.cpp
   parser.cpp
   symbols.cpp
   )

if (MSVC)
   set_target_properties (
      bww
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE}"
      )
endif (MSVC)

if (NOT MINGW AND NOT APPLE AND NOT MSVC)
   add_executable(bww2mxml
      ${INCS}
      lexer.cpp
      main.cpp
      mxmlwriter.cpp
      parser.cpp
      symbols.cpp
      writer.cpp
      )

   set_target_properties (
         bww2mxml
         PROPERTIES
            COMPILE_FLAGS "-x c++ -include ${PROJECT_BINARY_DIR}/all.h -g -Wall -Wextra -Winvalid-pch"
         )

   target_link_libraries(bww2mxml
      ${QT_LIBRARIES}
      )
   ADD_DEPENDENCIES(bww2mxml mops1)
   ADD_DEPENDENCIES(bww2mxml mops2)
endif (NOT MINGW AND NOT APPLE AND NOT MSVC)

xcode_pch(bww all)

# Use MSVC pre-compiled headers
vstudio_pch( bww )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(bww mops1)
   ADD_DEPENDENCIES(bww mops2)
endif (NOT MSVC)

=== manual/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/functions.cmake)

set(MANUAL_DEST "${PROJECT_BINARY_DIR}/share/manual/plugins/plugins3.html")

fn__copy_during_build(
      "${CMAKE_CURRENT_SOURCE_DIR}/plugins3.html"
      "${MANUAL_DEST}"
      )

add_custom_target(pluginDocumentation
      ALL
      DEPENDS "${MANUAL_DEST}"
      )

=== midi/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2013 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
      file(GLOB_RECURSE INCS "*.h")
else (APPLE)
      set(INCS "")
endif (APPLE)

if (NOT MSVC)
   set(_all_h_file "${PROJECT_BINARY_DIR}/all.h")
else (NOT MSVC)
   set(_all_h_file "${PROJECT_SOURCE_DIR}/all.h")
endif (NOT MSVC)

add_library (midi STATIC
      ${_all_h_file}
      ${PCH}
      midifile.cpp
      midiinstrument.cpp
      )

if (NOT MSVC)
   set_target_properties (
      midi
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties (
      midi
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE}"
      )
endif (NOT MSVC)   

xcode_pch(midi all)

# Use MSVC pre-compiled headers
vstudio_pch( midi )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(midi mops1)
   ADD_DEPENDENCIES(midi mops2)
endif (NOT MSVC)

=== mscore/widgets/CMakeLists.txt ===
set(WIDGETS_SOURCE_FILES
    filterableview.cpp
    filterabletreeview.cpp
    searchbox.cpp
    )

# expose variables to CMakeLists.txt in parent directory
set(WIDGETS_SOURCE_FILES "${WIDGETS_SOURCE_FILES}" PARENT_SCOPE)

=== mtest/biab/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2013 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_biab)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

=== share/wallpaper/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#
#  Copyright (C) 2002-2008 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

install(FILES
      paper1.png
      paper2.png
      paper3.png
      paper4.png
      paper5.png
      paper6.png
      paper7.png
      background1.png
      DESTINATION ${Mscore_SHARE_NAME}${Mscore_INSTALL_NAME}wallpaper
      )

=== thirdparty/ofqf/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#
#  Copyright (C) 2010 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)

if (NOT MSVC)
   set(_all_h_file "${PROJECT_BINARY_DIR}/all.h")
else (NOT MSVC)
   set(_all_h_file "${PROJECT_SOURCE_DIR}/all.h")
endif (NOT MSVC)

add_library(ofqf STATIC
   ${_all_h_file}
   ${PCH}
   ${INCS}
   qoscclient.cpp qoscserver.cpp qosctypes.cpp
   )

if (NOT MSVC)
   set_target_properties (
      ofqf
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties (
      ofqf
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE}"
      )
endif (NOT MSVC)   

xcode_pch(ofqf all)

# Use MSVC pre-compiled headers
vstudio_pch( ofqf )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(ofqf mops1)
   ADD_DEPENDENCIES(ofqf mops2)
endif (NOT MSVC)

=== thirdparty/qzip/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2014 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)

if (NOT MSVC)
   set(_all_h_file "${PROJECT_BINARY_DIR}/all.h")
else (NOT MSVC)
   set(_all_h_file "${PROJECT_SOURCE_DIR}/all.h")
endif (NOT MSVC)

add_library(qzip STATIC
   qzip.cpp
   ${_all_h_file}
   ${PCH}
   ${INCS}
   )

if (NOT MSVC)
   set_target_properties (
      qzip
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties (
      qzip
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE}"
      )
      include_directories("${PROJECT_SOURCE_DIR}/dependencies/include/zlib")
endif (NOT MSVC)   

xcode_pch(qzip all)

# Use MSVC pre-compiled headers
vstudio_pch( qzip )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(qzip mops1)
   ADD_DEPENDENCIES(qzip mops2)
endif (NOT MSVC)

=== thirdparty/rtf2html/CMakeLists.txt ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#
#  Copyright (C) 2009 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)
if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)

if (NOT MSVC)
   set(_all_h_file "${PROJECT_BINARY_DIR}/all.h")
else (NOT MSVC)
   set(_all_h_file "${PROJECT_SOURCE_DIR}/all.h")
endif (NOT MSVC)

add_library (
  rtf2html STATIC
  ${_all_h_file}
  ${INCS}
  fmt_opts.cpp
  rtf2html.cpp
  rtf_keyword.cpp
  rtf_table.cpp
  )

if (NOT MSVC)
   set_target_properties( rtf2html
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties ( rtf2html
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} /wd4267"
      )
endif (NOT MSVC)   

xcode_pch(rtf2html all)

# Use MSVC pre-compiled headers
vstudio_pch( rtf2html )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(rtf2html mops1)
   ADD_DEPENDENCIES(rtf2html mops2)
endif (NOT MSVC)

=== debian/changelog ===
musescore3 (3.2.3+dfsg2-19) unstable; urgency=high

  * Do actually install README.Debian, too

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 12 May 2025 21:54:30 +0000

musescore3 (3.2.3+dfsg2-18) unstable; urgency=high

  * Update 3.0.2+dfsg1-1 changelog entry with resolution
  * Merge musescore2 (2.3.2+dfsg4-16) unstable; urgency=high
    - Update description:
      - the musescore.org software has been renamed upstream to
        Mu͒seScore Studio and the musescore.com website to
        Mu͒seScore Catalogue and the mobile äpps to
        Mu͒seScore Sheet Music for Android and iOS
        ⇒ follow that
      - cease naming commercial competitors it’s supposedly better than
      - update situation description for major version 2 vs. 3
      - document no v4 package is planned due to the freeness reduction
      - plan to package “Mu͒seScore 3 Evolution” (community-maintained
        3.7 fork) as musescore-snapshot (as it has no releases anyway)
      - document Muse Group company takeover, remove mentions of old one
      - reduce delta between v2/v3 descriptions
    - Backport fixes:
      - Help→MusicXML: link correct licence (from mu͒ Evolution)
      - Fix for CVE-2024-44866 (from mu͒4); (Closes: #1070860)
    - Add README.Debian to explicitly express that this should not be
      exposed to untrusted input files without confinement (cf. #1070860)
    - Work around unexpected colourised messages from cmake’s tester
    - Try to blindly fix CVE-2023-44428: (addresses #1070860 as well)
      - improve Capella import robustness
      - arm Q_ASSERT{,_X} macros to exercise the tests and log failures and,
        if MSCORE_ASSERT_ABORT is set, make assertion failure abort()
    - Improve stderr log formatting and omit debug level, except -d is used
    - Bump Policy, transition to libfreetype-dev
    - Update lintian overrides for sid
  * Update MuseJazz Text font
  * Backport GH#16346: CVE-2023-26923
  * Bump Policy; refresh lintian overrides
  * Fix PDF y positions subtly varying on GUI DPI and -D
  * Quell more warnings, compiler or runtime

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 22 Apr 2025 18:38:48 +0000

musescore3 (3.2.3+dfsg2-17) unstable; urgency=medium

  * Fix compilation by GCC 14 (Closes: #1075300)
  * Update description, UMEGAYA
  * Backport a few patches:
    – tmpfile fix
    – fix displayed MusicXML licence
    – constify an array to fix a compiler warning
    – disable a broken command, avoids score corruption
  * Update lintian stuff, bump Policy (no changes)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 08 Jul 2024 22:51:36 +0200

musescore2 (2.3.2+dfsg4-16) unstable; urgency=high

  * Update description:
    - the musescore.org software has been renamed upstream to
      Mu͒seScore Studio and the musescore.com website to
      Mu͒seScore Catalogue and the mobile äpps to
      Mu͒seScore Sheet Music for Android and iOS
      ⇒ follow that
    - cease naming commercial competitors it’s supposedly better than
    - update situation description for major version 2 vs. 3
    - document no v4 package is planned due to the freeness reduction
    - plan to package “Mu͒seScore 3 Evolution” (community-maintained
      3.7 fork) as musescore-snapshot (as it has no releases anyway)
    - document Muse Group company takeover, remove mentions of old one
    - reduce delta between v2/v3 descriptions
  * Backport fixes:
    - Help→MusicXML: link correct licence (from mu͒ Evolution)
    - Fix for CVE-2024-44866 (from mu͒4); (Closes: #1070860)
  * Add README.Debian to explicitly express that this should not be
    exposed to untrusted input files without confinement (cf. #1070860)
  * Work around unexpected colourised messages from cmake’s tester
  * Try to blindly fix CVE-2023-44428: (addresses #1070860 as well)
    - improve Capella import robustness
    - arm Q_ASSERT{,_X} macros to exercise the tests and log failures and,
      if MSCORE_ASSERT_ABORT is set, make assertion failure abort()
  * Improve stderr log formatting and omit debug level, except -d is used
  * Bump Policy, transition to libfreetype-dev
  * Update lintian overrides for sid

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 22 Apr 2025 02:52:14 +0000

=== debian/control ===
Source: musescore3
Section: sound
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://musescore.org/en
Build-Depends: debhelper-compat (= 13),
# # for the tests
# imagemagick,
  midicsv,
  mksh,
  pax,
  xauth,
  xvfb,
# # testsuite and runtime
  desktop-file-utils,
  fonts-freefont-ttf,
  libmp3lame0,
  musescore-general-soundfont-small | musescore-compatible-soundfont,
  qml-module-qtquick-controls,
  qml-module-qtquick-dialogs,
  qml-module-qtquick-layouts,
  qml-module-qtquick2,
  shared-mime-info,
  xdg-utils,
# # build
  cmake,
  doxygen,
  g++ (>= 4:4.8),
  graphviz,
  libasound2-dev,
  libfreetype-dev,
  libjack-dev,
  libmp3lame-dev,
  libpoppler-qt5-dev,
  libportmidi-dev [linux-any],
  libpulse-dev,
  libqt5opengl5-dev,
  libqt5svg5-dev,
  libqt5xmlpatterns5-dev,
  libsndfile1-dev (>= 1.0.25),
  lsb-release,
  portaudio19-dev,
  qtbase5-dev,
  qtdeclarative5-dev (>= 5.8),
  qtscript5-dev,
  qttools5-dev,
  qttools5-dev-tools,
  zlib1g-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
VCS-git: https://evolvis.org/anonscm/git/alioth/musescore.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/musescore.git;a=shortlog;h=refs/heads/master

Package: musescore3-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 musescore-general-soundfont-small | musescore-compatible-soundfont
Description: MuseScore Studio 3 (music composition and notation) shared files
 Demonstration scores and templates, styles, localisations,
 some plugins for Mu͒seScore Studio, the Open Source (GNU GPL)
 cross-platform multi-lingual music notation software.
 .
 In contrast to earlier versions, no sound font is provided by
 default, but the Depends ensure a suitable one is installed,
 normally the compact, full orchestral and band sound, one that
 is shipped with MuseScore from version 2.2 onwards, or its more
 limited 2.1 counterpart fluidr3mono-gm-soundfont. In general,
 any soundfont that Provides musescore-compatible-soundfont will
 be acceptable; if you installed multiple, run the following
 command to configure the default MuseScore soundfont (select
 “0” to ensure that the highest-quality soundfont is used):
 .
 $ sudo update-alternatives --config MuseScore_General.sf3

Package: musescore3
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  desktop-file-utils,
  fonts-freefont-ttf,
  qml-module-qtquick-controls,
  qml-module-qtquick-dialogs,
  qml-module-qtquick-layouts,
  qml-module-qtquick2,
  shared-mime-info,
  xdg-utils,
# # dependent on MSCORE_INSTALL_SUFFIX from debian/rules
# # and MUSESCORE_VERSION_{MAJOR,MINOR} from CMakeLists.txt
  musescore3-common (>> 3.2~), musescore3-common (<< 3.3~)
Recommends: libmp3lame0
Suggests: pulseaudio-utils
Description: cross-platform multi-lingual music composition and notation, v3
 Mu͒seScore Studio is an Open Source (GNU GPL) music notation software
 that runs on all platforms supported by Qt5 (GNU/Linux, MacOS X, Windows)
 and is available in over forty different languages. It features an
 easy to use WYSIWYG editor with audio score playback for results that
 look and sound beautiful, rivaling commercial offerings.
 .
 This package provides a (tastefully cherry-picked) Mu͒seScore Studio 3.
 It is possible, even recommended, to install multiple versions of
 Mu͒seScore Studio in parallel because each major version has a new,
 incompatible, layout engine; the old version is needed to change
 scores made with the old version if not investing several hours of
 effort to relayout under the new version.
 Install the musescore Debian package for Mu͒seScore Studio 2,
 musescore-snapshot for “Mu͒seScore 3 Evolution” which is maintained by a
 community team. Mu͒seScore Studio 4 relies on proprietary, binary-only
 downloadable content for most functionality, so no Debian package is
 currently planned for the releases by the new (Muse Group) owners.
 .
 Create, play back and print sheet music for free. Features include:
  - easy-to-use and customisable interface
  - optional dark theme (to focus on the score)
  - tours for first-time and returning users
  - albums combining multiple scores
  - unlimited score length
  - unlimited number of staves per system
  - up to four independent voices per staff
  - score creation wizard and templates
  - easy and fast note entry with a (PC) keyboard, the mouse, including
    an on-screen virtual (piano) keyboard, or MIDI (step-time, real-time)
  - timewise input (moving subsequent notes/rests), also for unmetered music
  - half-time and double-time paste commands for copy/paste
  - continuous view: focus on the content, scrolling by as an endless
    ribbon, undistracted by line breaks or page breaks; switch to page
    view to polish up for printing
  - timeline view
  - automatic part extraction and transposition
    (new: by staves or voices)
  - advanced transposition: transpose a selected passage to any key,
    or by any interval — or even transpose diatonically within the same key
  - repeats, including segnos, codas, measure repeats, advanced repeats
  - linearisation command to expand repeats
  - dynamics, articulations and other expression markings
  - playback support for almost all notation elements
  - custom text markings
  - style rules that apply to the whole score at once
  - automatic placement system (smart layout), now even more flexible
  - lyrics
  - chord symbols
  - Jazz notation, including lead sheets and slash notation
  - swing and shuffle playback
  - integrated sequencer and two software synthesisers (FluidSynth for
    SF2/SF3, Zerberus for SFZ), which also can use third-party soundfonts
  - single-note dynamics
  - mixer for instrument levels and effects
  - mixing and panning for individual parts
  - percussion notation
  - sticking (“fingering” for drummers)
  - early music notation
  - cross-staff beaming
  - import of graphics
  - custom key signatures
  - additive time signatures
  - system dividers
  - user-defined score styles
  - cutaway staves
  - pianoroll editor, edit playback parameters of each note individually
  - score comparison tool
  - and much more…
 .
 Choir features:
  - powerful lyrics copy and paste tools
  - implode/explode: combine up to four voices on one staff,
    then separate to individual staves
  - hide empty vocal staves, such as in a piano intro
  - figured bass for historical notation
  - smart lyrics: unlimited verses, with notes and staves automatically
    spaced, and verse numbers automatically aligned
  - voice leading checker: download the Check Harmony Rules proofreading
    plugin to check for errors in your part writing, according to
    standard rules
  - part mixer: mute, solo, or change volume of staves to learn
    individual lines — settings even apply to MP3 export
 .
 Piano features:
  - support for solo + piano (add small staff with different instrument)
  - support for cadenzas (smaller notes and variable length measures)
  - complete notation: pedaling, fingering, cross-staff beaming — you
    name it; everything needed to write piano sheet music is here
 .
 Guitar features:
  - bends, fingerings, and other common guitar notations supported
  - add/remove linked staves any time; enter notes on either standard
    (pitched five-line) or TAB staff
  - percussion/drumset also included
  - templates include guitar, tablature, guitar+tablature, rock/pop band
  - complete tablature: multiple tab styles available — from note symbols
    outside the staff to upside-down strings — and linked standard/tab
    staff pairs
  - Guitar Pro import: MuseScore can now open files from Guitar Pro, so
    you can easily migrate over. Import filters are improving with every
    release; GP3, GP4, GP5, GP6, GTP, GPX are currently supported.
  - Fretboard diagrams: 21 default chords for every key, and a powerful
    editor to create your own — with barre, fret position, and any number
    of strings
  - multiple or differently shaped dots per string; partial and multiple
    barres; ability to not show nut; customisable string/fret distance;
    chord symbols for diagrams and saving those to the palette; etc.
  - beyond guitar: banjo, mandolin, ukulele, oud; custom string tunings;
    even historical lute tablature: MuseScore does them all.
 .
 Orchestral features:
  - templates for common instrumentations
  - custom linked parts (e.g. create choral score from orchestra+chorus):
    any change you make to the content of any part is immediately
    reflected in the full score — and vice versa
  - powerful style controls: edit the formatting of parts and score
    independently — or apply the same style to all parts with one click
  - one-click transposition: instantly switch between transposed and
    concert pitch: sounding pitches stay the same while the written notes
    change
 .
 Jazz features:
  - templates for Jazz Lead Sheet, Big Band and Jazz Combo
  - real “handwritten” Book-style jazz font for text and chord symbols
  - formatting tools include adding line breaks every X measures
  - instantly switch between transposed and concert pitch
  - intelligent chord symbol: chord names are automatically formatted
    when you finish typing — plus, they transpose with the notes
  - easy slashes: commands to fill bars with slashes — and to turn notes
    into rhythmic slashes, and even accent notation above the staff
 .
 Marching ensembles features (needs the MDL extension):
  - marching band, indoor percussion, front ensemble, drumline and drum
    corps (even G bugles); no setup or configuration — select a template,
    start writing
 .
 Band features:
  - diverse templates: concert band, brass band, marching band, battery
    and pit percussion — ready out-of-the-box (plus big band for jazz)
  - custom linked parts: you can even keep a drumline score linked to a
    full marching band score and to individual percussion parts
 .
 Most elements in MuseScore are laid out automatically on a “virtual note
 sheet”, with a near professional-quality layout engine, but can also be
 positioned manually, giving you total control of every score element’s
 position. The capabilities of MuseScore can be extended via plugins and
 extensions, and the growing repository on musescore.org contains many
 plugins submitted by users and an active development team.
 .
 MuseScore includes a set of sounds that reproduce common instruments (as
 defined by General MIDI) without taking up a lot of disk space or memory
 providing full orchestral and band sounds (with the Drumline extension
 installed this includes marching percussion). The general (non-Drumline)
 sound font is available as musescore-general-soundfont Debian package,
 if you wish to reuse it with other synthesisers.) You can also load any
 sound font you prefer for a wider variety of sounds or for more realism.
 .
 MuseScore can import and export MIDI and MusicXML files, and it can also
 import from Capella and several other programs. MuseScore can export to
 PDF, PNG, and other graphic formats, to WAV and other audio formats such
 as OGG Vorbis and MP3, or to GNU Lilypond for an alternative layout and
 print option.
 .
 Mu͒seScore Studio scores can be uploaded to Scusemore Catalogue and used
 with the Mu͒seScore Sheet Music for Android and iOS äpps to rehearse “on
 the go” (they do not support note entry but advanced playback functions).
 Note that these are commercial and proprietary offers, not part of the
 notation program (which is FOSS). Scusemore Catalogue can send scrolling
 videos to YouTube, which highlight the notes as they sound in the score
 and on a virtual piano keyboard.

=== debian/rules ===
#!/usr/bin/make -f

CWD:=$(abspath .)

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C.UTF-8
export LC_ALL
TZ:=UTC
export TZ

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

MSPPKG=musescore3
MSCPKG=${MSPPKG}-common
MSPDIR=debian/${MSPPKG}
MSCDIR=debian/${MSCPKG}
MSHARE=usr/share/mscore3-*

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS?=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_CXXFLAGS:=
OUR_LDFLAGS:=

# unclutter build log; these are upstream’s to fix
OUR_CFLAGS+=	-Wno-deprecated-declarations
OUR_CXXFLAGS+=	-Wno-deprecated-declarations
OUR_CXXFLAGS+=	-Wno-deprecated-copy

# only needed when backporting to buster and older
#OUR_LDFLAGS+=	-Wl,--as-needed

# defined for most of the code anyway; doing this here helps the PCH
OUR_CPPFLAGS+=	-DQT_NO_DEBUG
# avoid stray debugging output
OUR_CPPFLAGS+=	-DNDEBUG
# disable phoning home
OUR_CPPFLAGS+=	-DMSCORE_NO_UPDATE_CHECKER

# better debugging if requested
ifneq (,$(findstring optdbg,${DEB_BUILD_OPTIONS}))
OUR_CFLAGS+=	-Og -g3
OUR_CXXFLAGS+=	-Og -g3
endif

# things that cannot be passed via CPPFLAGS
OUR_CPPFLAGS+=	-I${CWD}/debian/q-include

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_CXXFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CXXFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
include /usr/share/dpkg/buildflags.mk
ifneq (,$(wildcard /usr/share/dpkg/buildtools.mk))
include /usr/share/dpkg/buildtools.mk
endif
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=cmake

CMAKE_DEFS:=	-DCMAKE_SKIP_RPATH=ON
CMAKE_DEFS+=	-DDOWNLOAD_SOUNDFONT=OFF
CMAKE_DEFS+=	-DUSE_SYSTEM_FREETYPE=ON \
		-DFREETYPE_INCLUDE_DIRS=/usr/include/freetype2/
CMAKE_DEFS+=	-DBUILD_WEBENGINE=OFF
CMAKE_DEFS+=	-DOMR=ON
CMAKE_DEFS+=	-DUSE_SYSTEM_POPPLER=ON
CMAKE_DEFS+=	-DBUILD_CRASH_REPORTER=OFF

ifneq (linux,${DEB_HOST_ARCH_OS})
CMAKE_DEFS+=	-DBUILD_PORTMIDI=OFF
endif

CMAKE_DEFS+=	-DMSCORE_INSTALL_SUFFIX="3"

override_dh_auto_configure:
	test -s fonts/mscore/mscore.old || \
	    mv fonts/mscore/mscore.ttf fonts/mscore/mscore.old
	cp -f debian/upstream/mscore.ttf fonts/mscore/mscore.ttf
	test -s fonts/musejazz/MuseJazzText.old || \
	    mv fonts/musejazz/MuseJazzText.otf fonts/musejazz/MuseJazzText.old
	cp -f debian/upstream/MuseJazzText.otf fonts/musejazz/MuseJazzText.otf
	rm -rf debian/q-include
	mkdir debian/q-include
	printf '#define DEB_PKG_VERSION "%s (%s %s/%s)"\n' \
	    $(call shellescape,${DEB_VERSION}) \
	    "$$(lsb_release -si)" \
	    "$$(lsb_release -sc)" \
	    $(call shellescape,${DEB_HOST_ARCH}) \
	    >debian/q-include/DEB_PKG_VERSION.h
	exec dh_auto_configure -- ${CMAKE_DEFS}

override_dh_auto_build:
	env GNUMAKEFLAGS="$$GNUMAKEFLAGS --output-sync" \
	    dh_auto_build -- lrelease all
	mkdir -p doc/plugins/
	doxygen Doxyfile.plugins

override_dh_auto_test:
	exec mksh debian/buildtest ${DEB_BUILD_OPTIONS}

execute_after_dh_install-indep:
	# add doxygen-generated files
	cd doc && exec cp -r plugins ../${MSCDIR}/${MSHARE}/manual/
	dh_doxygen -p${MSCPKG} $$(cd ${MSCDIR} && \
	    echo ${MSHARE}/manual/plugins/html)
	# doc-base insists on /usr/share/doc/ prefix
	mkdir -p ${MSCDIR}/usr/share/doc/${MSCPKG}
	ln -sfTr ${MSCDIR}/${MSHARE}/manual/plugins \
	    ${MSCDIR}/usr/share/doc/${MSCPKG}/plugin-doxy
	# make system-wide soundfonts available
	cd ${MSCDIR}/${MSHARE} && mkdir -p sound && \
	    ln -sf ../../sounds/sf2 ../../sounds/sf3 ../../sounds/sfz sound/

execute_after_dh_auto_clean:
	if test -d debian/q-tst_midi; then \
		(cd debian/q-tst_midi/ && pax -rw . ../../) && \
		rm -r debian/q-tst_midi; \
	fi
	test '!' -s fonts/mscore/mscore.old || \
	    mv -f fonts/mscore/mscore.old fonts/mscore/mscore.ttf
	test '!' -s fonts/musejazz/MuseJazzText.old || \
	    mv -f fonts/musejazz/MuseJazzText.old fonts/musejazz/MuseJazzText.otf
	rm -rf debian/q-include
	# remove possible doxygen remnants
	rm -rf doc/plugins
	-chmod -R g-w . # work around #796257 for Debian reproducible-builds

=== debian/watch ===
# debian/watch - check for a new upstream release and fetch it. See USCAN(1).
# The script 'debian/repack' is called to perform changes for DFSG compliance.
# Since repacking is used, do not add --rename when invoking uscan, please.
version=4
opts=\
uversionmangle=s/%25/~/,\
dversionmangle=s/\+dfsg\d*$//,\
repack,\
repacksuffix=+dfsg2,\
compression=gz,\
searchmode=plain,\
filenamemangle=s/.+\/v?([0-9]+\.[0-9](?:[0-9.]*(?:%25pre)?[0-9]+)?)/MuseScore-$1.tar.gz/ \
  https://api.github.com/repos/musescore/MuseScore/tags?per_page=200 \
  https:[^"]*/tarball/refs/tags/v?(3\.(?=2\.)[0-9](?:[0-9.]*(?:%25pre)?[0-9]+)?)(?="|$) \
debian debian/repack
